#
# spec file for package SDL_net
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           SDL_net
%define lname	libSDL_net-1_2-0
Version:        1.2.8
Release:        8.5
Summary:        SDL networking library
License:        LGPL-2.1-or-later
Group:          Development/Libraries/C and C++
URL:            http://libsdl.org/projects/SDL_net/release-1.2.html

# removed VisualC, Xcode, Xcode-iOS and Watcom-OS2.zip from the upstream tarball [bnc#508084]
Source:         %name-%version-repack.tar.bz2
Source2:        baselibs.conf
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(sdl)

%description
This is a small cross-platform networking library for use with SDL.

%package -n %lname
Summary:        Networking library for SDL
Group:          System/Libraries
Provides:       SDL_net = %version
Obsoletes:      SDL_net <= %version

%description -n %lname
This is a small cross-platform networking library for use with SDL.

%package devel
Summary:        Development files for the SDL networking library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
Provides:       libSDL_net-devel = %version
Obsoletes:      libSDL_net-devel <= %version

%description devel
This is a small cross-platform networking library for use with SDL.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%ldconfig_scriptlets -n %lname

%files -n %lname
%doc CHANGES COPYING README
%_libdir/libSDL_net-1*.so.*

%files devel
%_includedir/SDL/
%_libdir/libSDL_net.so
%_libdir/pkgconfig/SDL_net.pc

%changelog
* Wed Aug 21 2024 Jan Engelhardt <jengelh@inai.de>
- Rename devel package to just %%name-devel, which is what most
  openSUSE's packages do.
* Thu Jan  8 2015 jengelh@inai.de
- Improve package summary and description. Drop --with-pic which
  is enabled implicitly anyway, remove redundant Requires.
* Tue Aug 13 2013 jengelh@inai.de
- Some metadata spruce-up: add current URLs, softer wildcarding
  in the files list, more robust make install call
* Tue Aug 13 2013 prusnak@opensuse.org
- updated to 1.2.8
  * Added the definition for INADDR_LOOPBACK
  * Added an Xcode project for iOS
  * SDL_net is now under the zlib license
  * Added SDLNet_UDP_SetPacketLoss() to simulate random packet loss
  * Added SDLNet_GetLocalAddresses() to query local interfaces
  * Removed obsolete OpenTransport code
  * Added Android.mk to build on the Android platform
  * Fixed to compile cleanly with g++
  * Fixed the code to use socklen_t where appropriate
  * Added pkg-config support
  * Fixed C++ compilation with -Wold-style-cast
  * Enable multicast receiving on 224.0.0.1 on Windows (already worked on UNIX)
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Mon Aug  1 2011 jengelh@medozas.de
- Update baselibs.conf to also ship libSDL_net-devel-32bit
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Sat Dec 19 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Wed May 20 2009 prusnak@suse.cz
- follow Shared Library Policy
* Wed Feb 25 2009 crrodriguez@suse.de
- remove static libraries and "la" files
* Wed Jul 25 2007 prusnak@suse.cz
- updated to 1.2.7
  * set server TCP sockets to blocking mode
* Sun Jul 22 2007 aj@suse.de
- Cleanup build requires.
* Fri Mar  2 2007 prusnak@suse.cz
- cleaned spec file
* Thu Feb 22 2007 prusnak@suse.cz
- updated to 1.2.6
- created devel subpackage
* Thu Oct 26 2006 sndirsch@suse.de
- removed wrong 'extra ;' in SDL_net.h (Bug #214645)
* Fri Jan 27 2006 nadvornik@suse.cz
- fixed BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr and %%run_ldconfig
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 1.2.5
- added buildroot
* Mon Dec 16 2002 ro@suse.de
- fix build with automake, use "AUTOMAKE_OPTIONS = foreign"
* Mon Sep  2 2002 uli@suse.de
- use %%_libdir (bug #18726)
* Thu Jun 13 2002 uli@suse.de
- update -> 1.2.4 (bugfixes)
* Tue Jun 11 2002 ro@suse.de
- run autoreconf (fixes build on ppc64)
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Tue Aug  7 2001 uli@suse.de
- initial package
